Check firmware¶
POST/
Firewall Management API · Firewalls
Check firmware for firewalls.
Parameters¶
| Name | In | Type | Required | Description |
|---|---|---|---|---|
X-Tenant-ID | header | string (uuid) | Yes | Tenant ID. |
Request body¶
Content type: application/json
Request body fields
firewallsarray of string (uuid)requiredFirewall IDs.
Must contain at most 1000 items. Items must be unique.
Must contain at most 1000 items. Items must be unique.
Request samples¶
curl -X POST "https://api-<data-region>.central.sophos.com/firewall/v1/firewalls/actions/firmware-upgrade-check" -H "Authorization: Bearer <access-token>" -H "X-Tenant-ID: <tenant-id>" -H "Content-Type: application/json" -d "{
\"firewalls\": [
\"c83c9481-f63c-4eb8-8793-e81eb9d66ef4\",
\"a83c9481-f63c-4eb8-8793-e81eb9d66ef5\"
]
}"
import requests
response = requests.post(
"https://api-<data-region>.central.sophos.com/firewall/v1/firewalls/actions/firmware-upgrade-check",
headers={
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
"Content-Type": "application/json",
},
json={ 'firewalls': [ 'c83c9481-f63c-4eb8-8793-e81eb9d66ef4',
'a83c9481-f63c-4eb8-8793-e81eb9d66ef5']},
)
print(response.json())
$headers = @{
"Authorization" = "Bearer <access-token>"
"X-Tenant-ID" = "<tenant-id>"
"Content-Type" = "application/json"
}
$body = '{
"firewalls": [
"c83c9481-f63c-4eb8-8793-e81eb9d66ef4",
"a83c9481-f63c-4eb8-8793-e81eb9d66ef5"
]
}'
Invoke-RestMethod -Method POST -Uri "https://api-<data-region>.central.sophos.com/firewall/v1/firewalls/actions/firmware-upgrade-check" -Headers $headers -Body $body -ContentType "application/json"
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
req, err := http.NewRequest("POST", "https://api-<data-region>.central.sophos.com/firewall/v1/firewalls/actions/firmware-upgrade-check", strings.NewReader(`{
"firewalls": [
"c83c9481-f63c-4eb8-8793-e81eb9d66ef4",
"a83c9481-f63c-4eb8-8793-e81eb9d66ef5"
]
}`))
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer <access-token>")
req.Header.Set("X-Tenant-ID", "<tenant-id>")
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
const response = await fetch("https://api-<data-region>.central.sophos.com/firewall/v1/firewalls/actions/firmware-upgrade-check", {
method: "POST",
headers: {
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
"Content-Type": "application/json",
},
body: JSON.stringify({
"firewalls": [
"c83c9481-f63c-4eb8-8793-e81eb9d66ef4",
"a83c9481-f63c-4eb8-8793-e81eb9d66ef5"
]
}),
});
const data = await response.json();
console.log(data);
Responses¶
201 — List of available upgrades.¶
Response fields
firewallsarray of objectItems must be unique.
Available firewall upgrades.
Show child attributesHide child attributes
idstring (uuid)requiredFirewall ID.
serialNumberstringrequiredSerial number of firewall.
firmwareVersionstringrequiredCurrent firmware version of firewall.
upgradeToVersionarray of stringUpgrade versions for firewall.
Items must be unique.
Items must be unique.
firmwareVersionsarray of objectItems must be unique.
Available firmware information.
Show child attributesHide child attributes
bugsarray of stringList of issues from the published release notes.
newsarray of stringNews from the published release notes.
sizestringrequiredFirmware download size.
versionstringrequiredFirmware version.
Errors¶
| Status | Meaning |
|---|---|
400 | Invalid request. |
401 | Authentication required. |
403 | Authorization required. |
404 | Can't find firewall. |
500 | Unexpected error. |
All error responses share the same shape — see the error response object.
See the guide for a narrative walkthrough of this API.